Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047444
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2021-07-22 12:232021-07-27 11:24
ReporterlbressanView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in VersionRR21Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRR21Q2SCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0047444: Price list update problem after activating product in assortment

DescriptionIf we have a product that is inactive in the assortment, we activate it and refresh data, it is not loading all the price lists
Steps To ReproduceVideo Played in livebuild
https://youtu.be/8QXtLrK-yLk [^]

Steps:
1) Desactive product in assorment
2) Open the terminal
3) Active product in assorment
4) Refresh data.
5) When we look for the activated product, it has the customer's price.

TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0130770)
hgbot (developer)
2021-07-27 06:29

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/526 [^]
(0130781)
hgbot (developer)
2021-07-27 11:24

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/526 [^]
(0130782)
hgbot (developer)
2021-07-27 11:24

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 9332cb6852a88ccbad7375fb95753be18fe921b9
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-07-27T09:23:47+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/9332cb6852a88ccbad7375fb95753be18fe921b9 [^]

Fixed ISSUE-47444: Added Incremental criteria for Assortment in ProductPrice Query

---
M src/org/openbravo/retail/posterminal/master/ProductPrice.java
---

- Issue History
Date Modified Username Field Change
2021-07-22 12:23 lbressan New Issue
2021-07-22 12:23 lbressan Assigned To => Retail
2021-07-22 12:23 lbressan Triggers an Emergency Pack => No
2021-07-22 12:29 Practics Issue Monitored: Practics
2021-07-26 10:01 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2021-07-27 06:29 hgbot Note Added: 0130770
2021-07-27 11:24 hgbot Note Added: 0130781
2021-07-27 11:24 hgbot Resolution open => fixed
2021-07-27 11:24 hgbot Status new => closed
2021-07-27 11:24 hgbot Fixed in Version => RR21Q4
2021-07-27 11:24 hgbot Note Added: 0130782


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker